module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 155);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 155:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/basal-filter/src/main.vue?vue&type=template&id=25699519&
var render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "el-basal-filter" },
    [
      _vm.showAndOr || _vm.ruleForm.values.length > 0
        ? _c(
            "div",
            { staticClass: "el-basal-filter__relation" },
            [
              _c("div", { class: [_vm.relation + "-line"] }),
              _c(
                "el-button",
                {
                  attrs: { type: _vm.relation },
                  on: { click: _vm.onAndOrChange },
                },
                [_vm._v(_vm._s(_vm.relation === "and" ? "且" : "或"))]
              ),
            ],
            1
          )
        : _vm._e(),
      _c(
        "el-form",
        {
          ref: "ruleForm",
          staticClass: "el-basal-filter__form",
          attrs: { model: _vm.ruleForm },
        },
        [
          _vm._l(_vm.ruleForm.values, function (itemVal, index) {
            return _c(
              "div",
              {
                key: itemVal.id,
                staticClass: "el-basal-filter__form-item",
                on: {
                  mouseenter: function ($event) {
                    _vm.hoverIndex = index
                  },
                  mouseleave: function ($event) {
                    _vm.hoverIndex = -1
                  },
                },
              },
              [
                ["select", "remoteSelect", "cascader"].includes(_vm.basalType)
                  ? _c(
                      "el-single-form-item",
                      _vm._b(
                        {
                          staticClass: "el-basal-filter__key",
                          attrs: {
                            formType: _vm.basalType,
                            propKey: "values." + index + ".key",
                            bindValue: itemVal.key,
                            options: _vm.conditions,
                            placeholder: "请选择" + _vm.btnTxt,
                            props: {
                              children: "condition",
                              value: "key",
                              label: "value",
                            },
                            "remote-method": function (query) {
                              _vm.remoteFirMethod(query, itemVal, index)
                            },
                            filterable: ["select"].includes(_vm.basalType),
                          },
                          on: {
                            getFormVal: _vm.getFormVal,
                            change: function ($event) {
                              _vm.firstChange($event, index)
                            },
                            "visible-change": function (val) {
                              _vm.visibleFirChange(
                                val,
                                itemVal,
                                index,
                                _vm.basalType
                              )
                            },
                          },
                        },
                        "el-single-form-item",
                        _vm.$attrs,
                        false
                      ),
                      [
                        _vm._t(
                          "first-select",
                          _vm._l(_vm.conditions, function (item) {
                            return _c("el-option", {
                              key: item.key,
                              attrs: { value: item.key, label: item.value },
                            })
                          }),
                          { options: _vm.conditions }
                        ),
                      ],
                      2
                    )
                  : _vm._e(),
                _vm.typeShow(itemVal)
                  ? _c(
                      "el-single-form-item",
                      {
                        staticClass: "el-basal-filter__type",
                        attrs: {
                          formType: "select",
                          propKey: "values." + index + ".opType",
                          bindValue: itemVal.opType,
                        },
                        on: {
                          getFormVal: _vm.getFormVal,
                          change: function ($event) {
                            _vm.opTypeChange($event, index)
                          },
                        },
                      },
                      _vm._l(
                        _vm.ruleFormConfig[index].tagList,
                        function (item) {
                          return _c("el-option", {
                            key: item.key,
                            attrs: { value: item.key, label: item.value },
                          })
                        }
                      ),
                      1
                    )
                  : _vm._e(),
                _vm.lastShow(itemVal)
                  ? _c(
                      "el-single-form-item",
                      _vm._b(
                        {
                          key: _vm.ruleFormConfig[index].input,
                          class: [
                            "el-basal-filter__value",
                            "el-basal-filter__" +
                              _vm.ruleFormConfig[index].input,
                          ],
                          attrs: {
                            formType: _vm.ruleFormConfig[index].input,
                            propKey: "values." + index + ".value",
                            bindValue: itemVal.value,
                            options: _vm.ruleFormConfig[index].config,
                            placeholder: "请选择",
                            precision: _vm.getPrecision(
                              _vm.ruleFormConfig[index].input,
                              _vm.ruleFormConfig[index].type
                            ),
                            precisionVal: _vm.getPrecision(
                              _vm.ruleFormConfig[index].input,
                              _vm.ruleFormConfig[index].type
                            ),
                            multiple: [
                              "multRemoteSelect",
                              "multSelect",
                            ].includes(_vm.ruleFormConfig[index].input),
                            filterable: ["select", "multSelect"].includes(
                              _vm.ruleFormConfig[index].input
                            ),
                            "remote-method": function (query) {
                              _vm.remoteLasMethod(query, itemVal, index)
                            },
                          },
                          on: {
                            getFormVal: _vm.getFormVal,
                            "visible-change": function (val) {
                              _vm.visibleLasChange(
                                val,
                                itemVal,
                                index,
                                _vm.ruleFormConfig[index].input
                              )
                            },
                          },
                        },
                        "el-single-form-item",
                        _vm.$attrs,
                        false
                      ),
                      [
                        _vm._t(
                          "last-select",
                          _vm._l(
                            _vm.ruleFormConfig[index].config,
                            function (item) {
                              return _c("el-option", {
                                key: item.key,
                                attrs: { value: item.key, label: item.value },
                              })
                            }
                          ),
                          { options: _vm.ruleFormConfig[index].config }
                        ),
                      ],
                      2
                    )
                  : _vm._e(),
                (_vm.hoverIndex === index || _vm.showAllDel) &&
                (_vm.showFirstDel || _vm.ruleFormConfig.length > 1)
                  ? _c("el-button", {
                      staticClass: "el-basal-filter__form-btn",
                      attrs: {
                        type: "shadow",
                        size: "mini",
                        icon: "bi-iconfont-delete\n",
                      },
                      on: {
                        click: function ($event) {
                          _vm.removeItem(index)
                        },
                      },
                    })
                  : _vm._e(),
              ],
              1
            )
          }),
          _vm.showAdd
            ? _c(
                "el-form-item",
                { staticClass: "el-form-item-btn" },
                [
                  _c(
                    "el-button",
                    {
                      attrs: {
                        type: "solid",
                        size: "small",
                        icon: "bi-iconfont-add",
                      },
                      on: {
                        click: function ($event) {
                          _vm.addItemCheck()
                        },
                      },
                    },
                    [_vm._v(_vm._s(_vm.btnTxt))]
                  ),
                ],
                1
              )
            : _vm._e(),
        ],
        2
      ),
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/basal-filter/src/main.vue?vue&type=template&id=25699519&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/basal-filter/src/main.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var uuid = __webpack_require__(69);
/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'ElBasalFilter',
  props: {
    btnTxt: { type: String, default: '属性' },
    basalType: { type: String, default: 'select' },
    showAdd: { type: Boolean, default: true },
    showAndOr: { type: Boolean, default: true },
    showAllDel: { type: Boolean, default: false },
    showFirstDel: { type: Boolean, default: false },
    isRealTimeData: { type: Boolean, default: false },
    resultArr: { default: function _default() {
        return [];
      } }, // 回显的数据
    conditions: {
      type: Array,
      default: function _default() {
        return [];
      } // 配置
    } },
  data: function data() {
    return {
      hoverIndex: -1,
      relation: 'and',
      ruleForm: {
        values: []
      },
      ruleFormConfig: []
    };
  },
  created: function created() {
    var _this = this;

    this.relation = this.resultArr && this.resultArr.length && this.resultArr[0].relation ? this.resultArr[0].relation : 'and';
    this.resultArr.forEach(function () {
      _this.addItem();
    });
    this.$nextTick(function () {
      _this.ruleForm.values = JSON.parse(JSON.stringify(_this.resultArr));
      _this.ruleForm.values.forEach(function (item, index) {
        item['id'] = uuid.v1();
        _this.dealRowData('init', item.key, index, item.opType);
      });
    });
  },

  watch: {
    resultArr: {
      handler: function handler(newVal) {
        var _this2 = this;

        if (newVal && newVal.length) {
          this.ruleForm.values = JSON.parse(JSON.stringify(newVal));
          this.ruleForm.values.forEach(function (item, index) {
            item['id'] = uuid.v1();
            _this2.dealRowData('init', item.key, index, item.opType);
          });
        } else {
          this.ruleForm.values = [];
        }
      },
      deep: true,
      immediate: false
    },
    relation: {
      handler: function handler() {
        if (this.isRealTimeData) {
          this.$emit('getResultVal', this.getBasalFilterVal());
        }
      }
    },
    'ruleForm.values': {
      handler: function handler() {
        if (this.isRealTimeData) {
          this.$emit('getResultVal', this.getBasalFilterVal());
        }
      },
      deep: true
    }
  },
  methods: {
    typeShow: function typeShow(itemVal) {
      return itemVal.key && this.basalType !== 'cascader' || this.basalType === 'cascader' && itemVal.key.constructor === Array && itemVal.key.length > 0;
    },
    lastShow: function lastShow(itemVal) {
      return this.typeShow(itemVal) && itemVal.opType && ![12, 13, 19, 20].includes(itemVal.opType);
    },
    getPrecision: function getPrecision(input, type) {
      if (input === 'number' || input === 'inputNumber') {
        if (type === 'double') {
          return 2;
        } else {
          return 0;
        }
      } else {
        return 0;
      }
    },

    /**
     * @description: 处理表单每一行的数据
     * @param {*} str--为init时为初始化，为change时为第一个下拉值改变时处理
     * @param {*} e
     * @param {*} index
     * @return {*}
     */
    dealRowData: function dealRowData(str, e, index, opType) {
      var tempArr = [];
      tempArr = this.conditions;
      var obj = null;
      if (this.basalType === 'cascader') {
        if (e.constructor === Array && e.length > 0) {
          tempArr = this.conditions.find(function (item) {
            return item.key === e[0];
          }).condition;
          obj = tempArr.find(function (item) {
            return item.key === e[1];
          });
        } else {
          return;
        }
      } else {
        tempArr = this.conditions;
        obj = tempArr.find(function (item) {
          return item.key === e;
        });
      }
      if (!obj) {
        return;
      }
      this.ruleFormConfig[index] = {
        config: obj.config,
        tagList: obj.opType,
        oldInput: obj.input,
        input: obj.input,
        type: obj.type
      };
      console.log(this.ruleFormConfig);
      if (str === 'change') {
        this.ruleForm.values[index].opType = '';
        this.initValue(obj, index);
      } else {
        this.dealOpType(index, opType);
      }
    },
    initValue: function initValue(obj, index) {
      var _this3 = this;

      if (['multSelect', 'multRemoteSelect', 'cascader', 'dateRange'].includes(obj.input)) {
        this.ruleForm.values[index].value = [];
        this.$nextTick(function () {
          _this3.ruleForm.values[index].value = [];
        });
      } else {
        this.ruleForm.values[index].value = '';
        this.$nextTick(function () {
          _this3.ruleForm.values[index].value = '';
        });
      }
    },

    /**
     * @description: 第一个下拉框（选择字段）
     * @param {*} e
     * @param {*} index
     * @return {*}
     */
    firstChange: function firstChange(e, index) {
      this.$refs.ruleForm.fields.forEach(function (item) {
        if (item.prop === 'values.' + index + '.opType' || item.prop === 'values.' + index + '.value') {
          item.resetField();
        }
      });
      this.dealRowData('change', e, index);
      this.ruleForm.values[index].opType = '';
    },

    /**
     * @description: 第二个下拉框（选择条件）
     * @param {*} e
     * @param {*} index
     * @return {*}
     */
    opTypeChange: function opTypeChange(e, index) {
      var _this4 = this;

      this.$refs.ruleForm.fields.forEach(function (item) {
        if (item.prop === 'values.' + index + '.value') {
          item.resetField();
        }
      });
      this.$nextTick(function () {
        _this4.$refs.ruleForm.fields.forEach(function (item) {
          if (item.prop === 'values.' + index + '.value') {
            item.resetField();
          }
        });
      });
      // 针对选择条件下拉之后改变input
      this.dealOpType(index, e);
      this.initValue(this.ruleFormConfig[index], index);
    },
    dealOpType: function dealOpType(index, opType) {
      this.ruleFormConfig[index].input = JSON.parse(JSON.stringify(this.ruleFormConfig[index].oldInput));
      if (this.ruleFormConfig[index].oldInput === 'inputNumber' || this.ruleFormConfig[index].oldInput === 'number') {
        // 当计算逻辑为等于（数组）、不等于（数组），后接文本框，支持输入数组，即多个数字，以中/英文逗号隔开，不受小数位限制，仅做数字校验
        if ([10, 15].includes(opType)) {
          this.ruleFormConfig[index].input = 'inputNumberArr';
        }
      } else if (this.ruleFormConfig[index].oldInput === 'date') {
        // 当计算逻辑为等于（即后台的包含）时，后面接日期范围选择器
        if ([14].includes(opType)) {
          this.ruleFormConfig[index].input = 'dateRange';
        }
      }
    },
    getFormVal: function getFormVal(val, propKey) {
      var arr = propKey.split('.');
      this.ruleForm.values[arr[1]][arr[2]] = val;
    },
    onAndOrChange: function onAndOrChange() {
      this.relation = this.relation === 'and' ? 'or' : 'and';
    },
    visibleFirChange: function visibleFirChange(val, itemVal, index, input) {
      if (['remoteSelect', 'multRemoteSelect'].includes(input)) {
        this.$emit('visibleFirChange', val, itemVal, index);
      }
    },
    visibleLasChange: function visibleLasChange(val, itemVal, index, input) {
      if (['remoteSelect', 'multRemoteSelect'].includes(input)) {
        this.$emit('visibleLasChange', val, itemVal, index);
      }
    },

    /**
     * @description: 第一个框为远程搜索
     * @param {*} query--输入内容
     * @param {*} index--当前行 index
     * @return {*}
     */
    remoteFirMethod: function remoteFirMethod(query, itemVal, index) {
      this.$emit('remoteFirMethod', query, itemVal, index);
    },

    /**
     * @description: 第三个框为远程搜索
     * @param {*} query--输入内容
     * @param {*} index--当前行 index
     * @return {*}
     */
    remoteLasMethod: function remoteLasMethod(query, itemVal, index) {
      this.$emit('remoteLasMethod', query, itemVal, index);
    },
    addItemCheck: function addItemCheck() {
      if (this.submitForm()) {
        this.addItem();
      }
    },
    addItem: function addItem() {
      this.ruleForm.values.push({
        id: uuid.v1(),
        key: this.basalType === 'cascader' ? [] : '',
        opType: null,
        value: ''
      });
      this.ruleFormConfig.push({
        config: [],
        tagList: [],
        oldInput: '',
        input: '',
        type: ''
      });
    },
    removeItem: function removeItem(index) {
      this.ruleForm.values.splice(index, 1);
      this.ruleFormConfig.splice(index, 1);
    },

    /**
     * @description: 校验
     * @return {*}
     */
    submitForm: function submitForm() {
      var flag = false;
      this.$refs.ruleForm.validate(function (valid) {
        if (valid) {
          flag = true;
          return true;
        } else {
          flag = false;
          return false;
        }
      });
      return flag;
    },

    /**
     * @description: 返回表单值
     * @return {*}
     */
    getBasalFilterVal: function getBasalFilterVal() {
      var _this5 = this;

      var newVal = JSON.parse(JSON.stringify(this.ruleForm.values));
      if (newVal && newVal.length) {
        newVal.forEach(function (item, index) {
          item.type = _this5.ruleFormConfig[index].type;
          item.relation = _this5.relation;
          delete item.id;
        });
        return newVal;
      } else {
        return [];
      }
    },
    resetForm: function resetForm() {
      this.$refs.ruleForm.resetFields();
      this.ruleForm.values.length = 0;
      this.ruleFormConfig.length = 0;
      this.addItem();
    }
  }
});
// CONCATENATED MODULE: ./packages/basal-filter/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/basal-filter/src/main.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/basal-filter/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./packages/basal-filter/index.js


/* istanbul ignore next */
main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var basal_filter = __webpack_exports__["default"] = (main);

/***/ }),

/***/ 69:
/***/ (function(module, exports) {

module.exports = require("uuid");

/***/ })

/******/ });