import Picker from '../picker';
import Panel from '../panel/time-unfold';

export default {
  mixins: [Picker],

  name: 'ElTimeUnfold',

  componentName: 'ElTimeUnfold',

  props: {
    type: {
      type: String,
      default: 'time-unfold'
    },
    currentHour: {
      type: Number,
      default: -1
    }
  },

  beforeCreate() {
    this.panel = Panel;
  }
};
