module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 154);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 154:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/basal-filter/src/single-form-item.vue?vue&type=template&id=69fd8b97&
var render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "el-single-form-item" },
    [
      _c(
        "el-form-item",
        {
          key: _vm.propKey,
          attrs: {
            prop: _vm.propKey,
            label: _vm.label,
            rules: _vm.getRules(_vm.formType),
          },
        },
        [
          _vm.formType === "input" || _vm.formType === "inputNumberArr"
            ? _c(
                "el-input",
                _vm._b(
                  {
                    attrs: {
                      placeholder:
                        _vm.formType === "inputNumberArr"
                          ? "请输入数值（数组用逗号隔开）"
                          : "请输入",
                      clearable: "",
                    },
                    model: {
                      value: _vm.value,
                      callback: function ($$v) {
                        _vm.value = $$v
                      },
                      expression: "value",
                    },
                  },
                  "el-input",
                  _vm.$attrs,
                  false
                )
              )
            : _vm._e(),
          _vm.formType === "inputNumber"
            ? _c(
                "el-input",
                _vm._b(
                  {
                    attrs: { placeholder: "请输入" },
                    model: {
                      value: _vm.value,
                      callback: function ($$v) {
                        _vm.value = $$v
                      },
                      expression: "value",
                    },
                  },
                  "el-input",
                  _vm.$attrs,
                  false
                ),
                [
                  _c("template", { slot: "append" }, [
                    _vm._v(_vm._s(_vm.unit)),
                  ]),
                ],
                2
              )
            : _vm._e(),
          _vm.formType === "number"
            ? _c(
                "el-input-number",
                _vm._b(
                  {
                    attrs: {
                      placeholder: "请输入",
                      "controls-position": "right",
                    },
                    model: {
                      value: _vm.value,
                      callback: function ($$v) {
                        _vm.value = $$v
                      },
                      expression: "value",
                    },
                  },
                  "el-input-number",
                  _vm.$attrs,
                  false
                )
              )
            : _vm._e(),
          _vm.formType === "select" || _vm.formType === "multSelect"
            ? _c(
                "el-select",
                _vm._g(
                  _vm._b(
                    {
                      attrs: { clearable: "" },
                      model: {
                        value: _vm.value,
                        callback: function ($$v) {
                          _vm.value = $$v
                        },
                        expression: "value",
                      },
                    },
                    "el-select",
                    _vm.$attrs,
                    false
                  ),
                  _vm.$listeners
                ),
                [_vm._t("default")],
                2
              )
            : _vm._e(),
          _vm.formType === "remoteSelect" || _vm.formType === "multRemoteSelect"
            ? _c(
                "el-select",
                _vm._g(
                  _vm._b(
                    {
                      attrs: {
                        remoteSelect: "",
                        filterable: "",
                        "reserve-keyword": "",
                        clearable: "",
                      },
                      model: {
                        value: _vm.value,
                        callback: function ($$v) {
                          _vm.value = $$v
                        },
                        expression: "value",
                      },
                    },
                    "el-select",
                    _vm.$attrs,
                    false
                  ),
                  _vm.$listeners
                ),
                [_vm._t("default")],
                2
              )
            : _vm._e(),
          _vm.formType === "cascader"
            ? _c(
                "el-cascader",
                _vm._g(
                  _vm._b(
                    {
                      attrs: { outFilterable: "", clearable: "" },
                      model: {
                        value: _vm.value,
                        callback: function ($$v) {
                          _vm.value = $$v
                        },
                        expression: "value",
                      },
                    },
                    "el-cascader",
                    _vm.$attrs,
                    false
                  ),
                  _vm.$listeners
                )
              )
            : _vm._e(),
          _vm.formType === "date"
            ? _c(
                "el-date-picker",
                _vm._b(
                  {
                    attrs: {
                      type: "date",
                      "value-format": "timestamp",
                      placeholder: "请选择日期",
                    },
                    model: {
                      value: _vm.value,
                      callback: function ($$v) {
                        _vm.value = $$v
                      },
                      expression: "value",
                    },
                  },
                  "el-date-picker",
                  _vm.$attrs,
                  false
                )
              )
            : _vm._e(),
          _vm.formType === "dateRange"
            ? _c(
                "el-date-picker",
                _vm._b(
                  {
                    attrs: {
                      type: "daterange",
                      "value-format": "timestamp",
                      "range-separator": "至",
                      "start-placeholder": "开始日期",
                      "end-placeholder": "结束日期",
                    },
                    model: {
                      value: _vm.value,
                      callback: function ($$v) {
                        _vm.value = $$v
                      },
                      expression: "value",
                    },
                  },
                  "el-date-picker",
                  _vm.$attrs,
                  false
                )
              )
            : _vm._e(),
        ],
        1
      ),
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/basal-filter/src/single-form-item.vue?vue&type=template&id=69fd8b97&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/basal-filter/src/single-form-item.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var single_form_itemvue_type_script_lang_js_ = ({
  name: 'ElSingleFormItem',
  props: {
    formType: {
      type: String,
      default: ''
    },
    label: {
      type: String,
      default: ''
    },
    propKey: {
      type: String,
      default: ''
    },
    required: {
      type: Boolean,
      default: true
    },
    bindValue: [String, Number, Array, Date],
    unit: String,
    precisionVal: {
      type: Number,
      default: 0
    }
  },
  computed: {
    value: {
      get: function get() {
        return this.bindValue;
      },
      set: function set(value) {
        this.$emit('getFormVal', value, this.propKey);
      }
    }
  },
  methods: {
    getRules: function getRules(type) {
      var obj = {};
      switch (type) {
        case 'input':
          obj = {
            required: this.required,
            message: '请输入',
            trigger: 'blur'
          };
          break;
        case 'number':
          obj = {
            type: 'number',
            required: this.required,
            message: '请输入',
            trigger: 'blur'
          };
          break;
        case 'inputNumber':
          obj = {
            required: this.required,
            validator: this.numberValid,
            trigger: 'blur'
          };
          break;
        case 'inputNumberArr':
          obj = {
            required: this.required,
            validator: this.numberArrValid,
            trigger: 'blur'
          };
          break;
        case 'select':
        case 'remoteSelect':
          obj = {
            required: this.required,
            message: '请选择',
            trigger: 'change'
          };
          break;
        case 'multSelect':
        case 'multRemoteSelect':
        case 'cascader':
          obj = {
            type: 'array',
            required: this.required,
            message: '请选择',
            trigger: 'change'
          };
          break;
        case 'date':
          obj = {
            type: 'date',
            required: this.required,
            message: '请选择日期',
            trigger: 'change'
          };
          break;
        case 'dateRange':
          obj = {
            type: 'array',
            required: this.required,
            trigger: 'change',
            message: '请选择日期',
            fields: {
              0: {
                type: 'date',
                required: this.required,
                message: '请选择日期'
              },
              1: {
                type: 'date',
                required: this.required,
                message: '请选择日期'
              }
            }
          };
          break;
        default:
          break;
      }
      return obj;
    },
    numberValid: function numberValid(rule, value, callback) {
      if (this.precisionVal === 2) {
        if (/^-?[0-9]+\.[0-9]{2}$/.test(this.value)) {
          callback();
        } else {
          callback(new Error('请输入数字并保留两位小数'));
        }
      } else {
        if (/^(0|[1-9][0-9]*|-[1-9][0-9]*)$/.test(this.value)) {
          callback();
        } else {
          callback(new Error('请输入整数'));
        }
      }
    },
    numberArrValid: function numberArrValid(rule, value, callback) {
      var dealValue = this.value;
      var arr = dealValue.replace(/，/gi, ',').split(',');
      var flag = arr.every(function (val) {
        return (/^[0-9]+.?[0-9]*$/.test(val)
        );
      });
      if (flag) {
        callback();
      } else {
        callback(new Error('请输入正确的数字数组'));
      }
    }
  }
});
// CONCATENATED MODULE: ./packages/basal-filter/src/single-form-item.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_single_form_itemvue_type_script_lang_js_ = (single_form_itemvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/basal-filter/src/single-form-item.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_single_form_itemvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/basal-filter/src/single-form-item.vue"
/* harmony default export */ var single_form_item = (component.exports);
// CONCATENATED MODULE: ./packages/single-form-item/index.js
/*
 * @Description:
 * @Autor: Heloise
 * @Date: 2022-07-14 15:57:02
 * @LastEditors: Heloise
 * @LastEditTime: 2022-07-15 17:04:17
 */


/* istanbul ignore next */
single_form_item.install = function (Vue) {
  Vue.component(single_form_item.name, single_form_item);
};

/* harmony default export */ var packages_single_form_item = __webpack_exports__["default"] = (single_form_item);

/***/ })

/******/ });